# Function IsPhoneNumber

- IsPhoneNumber(__namedParameters?): ((control) => ValidationErrors)

- #### Parameters

  - __namedParameters: {
    locale?: "any" | MobilePhoneLocale | MobilePhoneLocale[];
    message?: string;
    options?: IsMobilePhoneOptions;
    } = {}

    - ##### `Optional` locale?: "any" | MobilePhoneLocale | MobilePhoneLocale[]

    - ##### `Optional` message?: string

    - ##### `Optional` options?: IsMobilePhoneOptions

  #### Returns ((control) => ValidationErrors)

  - - (control): ValidationErrors

    - #### Parameters

      - control: AbstractControl<any, any>

      #### Returns ValidationErrors

  - Defined in packages/angular/forms/src/lib/validators/is-phone-number.ts:11